## emacs23 23.4+1

=== admin/charsets/Makefile ===
# Makefile -- Makefile to generate charset maps in etc/charsets.
# Copyright (C) 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011
#   National Institute of Advanced Industrial Science and Technology (AIST)
#   Registration Number H13PRO009
#
# This file is part of GNU Emacs.

# GNU Emacs is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# GNU Emacs is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with GNU Emacs.  If not, see <http://www.gnu.org/licenses/>.

# Commentary:

#  If your system doesn't have the directory /usr/share/i18n/charmaps,
#  get the source of the latest glibc, gzip all the charmap files in
#  the directory "localedate/charmaps", and set the variable
#  GLIBC_CHARMAPS to that directory.

GLIBC_CHARMAPS=/usr/share/i18n/charmaps

CHARSETS = ${ISO8859} ${IBM} ${CODEPAGE} ${CJK} ${MISC} ${MULE}

# Note: We can not prepend "ISO-" to these map files because of file
# name limits on DOS.
ISO8859 = \
	8859-2.map 8859-3.map 8859-4.map 8859-5.map 8859-6.map 8859-7.map \
	8859-8.map 8859-9.map 8859-10.map 8859-11.map 8859-13.map 8859-14.map \
	8859-15.map 8859-16.map

IBM = \
	IBM037.map IBM038.map \
	IBM256.map IBM273.map IBM274.map IBM275.map IBM277.map IBM278.map \
	IBM280.map IBM281.map IBM284.map IBM285.map IBM290.map IBM297.map \
	IBM420.map IBM423.map IBM424.map IBM437.map IBM500.map IBM850.map \
	IBM851.map IBM852.map IBM855.map IBM856.map IBM857.map IBM860.map \
	IBM861.map IBM862.map IBM863.map IBM864.map IBM865.map IBM866.map \
	IBM868.map IBM869.map IBM870.map IBM871.map IBM874.map IBM875.map \
	IBM880.map IBM891.map IBM903.map IBM904.map IBM905.map IBM918.map \
	IBM1004.map IBM1026.map IBM1047.map

CODEPAGE = \
	CP737.map CP775.map CP1125.map\
	CP1250.map CP1251.map CP1252.map CP1253.map CP1254.map \
	CP1255.map CP1256.map CP1257.map CP1258.map \
	CP10007.map \
	CP720.map CP858.map

CJK =   GB2312.map GBK.map GB180302.map GB180304.map \
	BIG5.map BIG5-HKSCS.map\
	CNS-1.map CNS-2.map CNS-3.map CNS-4.map CNS-5.map CNS-6.map CNS-7.map \
	CNS-F.map \
	JISX0201.map JISX0208.map JISX0212.map JISX2131.map JISX2132.map \
	JISC6226.map CP932-2BYTE.map JISX213A.map\
	KSC5601.map KSC5636.map JOHAB.map

MISC =  KOI-8.map KOI8-R.map KOI8-U.map KOI8-T.map ALTERNATIVNYJ.map \
	MIK.map PTCP154.map \
	TIS-620.map VISCII.map VSCII.map VSCII-2.map\
	KA-PS.map KA-ACADEMY.map \
	HP-ROMAN8.map NEXTSTEP.map MACINTOSH.map EBCDICUK.map EBCDICUS.map \
	stdenc.map symbol.map \
	CP949-2BYTE.map \
	BIG5-1.map BIG5-2.map

# Emacs-mule charsets.
MULE =	MULE-ethiopic.map MULE-ipa.map MULE-is13194.map \
	MULE-sisheng.map MULE-tibetan.map \
	MULE-lviscii.map MULE-uviscii.map

TRANS_TABLE = cp51932.el eucjp-ms.el

all: ${CHARSETS} ${TRANS_TABLE}

AWK = gawk

# Rules for each charset

VSCII.map: ${GLIBC_CHARMAPS}/TCVN5712-1.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^<.*[ 	]\/x[0-9a-f].[ 	]/' GLIBC-1 compact.awk > $@

VSCII-2.map: ${GLIBC_CHARMAPS}/TCVN5712-1.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^<.*[ 	]\/x[2-7a-f].[ 	]/' GLIBC-1 compact.awk \
	  | sed 's/0x20-0x7F.*/0x00-0x7F 0x0000/' > $@

ALTERNATIVNYJ.map: IBM866.map
	# Generating $@...
	@echo "# Modified from IBM866.map according to the chart at" > $@
	@echo "# http://www.cyrillic.com/ref/cyrillic/koi-8alt.html," >> $@
	@echo "# with guesses for the Unicodes of the glyphs." >> $@
	@sed -e '1 d' \
	     -e '/0xF2/ s/ .*/ 0x2019/' \
	     -e '/0xF3/ s/ .*/ 0x2018/' \
	     -e '/0xF4/ s/ .*/ 0x0301/' \
	     -e '/0xF5/ s/ .*/ 0x0300/' \
	     -e '/0xF6/ s/ .*/ 0x203A/' \
	     -e '/0xF7/ s/ .*/ 0x2039/' \
	     -e '/0xF8/ s/ .*/ 0x2191/' \
	     -e '/0xF9/ s/ .*/ 0x2193/' \
	     -e '/0xFA/ s/ .*/ 0x00B1/' \
	     -e '/0xFB/ s/ .*/ 0x00F7/' < $< >> $@

MIK.map: mapfiles/bulgarian-mik.txt.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '1,$$' CZYBORRA compact.awk > $@

PTCP154.map: mapfiles/PTCP154.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^0x/' IANA compact.awk > $@

stdenc.map: mapfiles/stdenc.txt.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^[0-9A-Fa-f]/' UNICODE compact.awk > $@

symbol.map: mapfiles/symbol.txt.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^[0-9A-Fa-f]/' UNICODE compact.awk > $@

CP720.map: mapfiles/CP720.map.gz
	# Generating $@...
	@zcat $< > $@

CP858.map: mapfiles/CP858.map.gz
	# Generating $@...
	@zcat $< > $@

CP949-2BYTE.map: ${GLIBC_CHARMAPS}/CP949.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^<.*[ 	]\/x[89a-f]/' GLIBC-2 compact.awk > $@

GB2312.map: ${GLIBC_CHARMAPS}/GB2312.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^<.*[ 	]\/x[a-f]/' GLIBC-2-7 compact.awk > $@

GBK.map: ${GLIBC_CHARMAPS}/GBK.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^<.*[ 	]\/x[89a-f]/' GLIBC-2 compact.awk > $@

GB180302.map: ${GLIBC_CHARMAPS}/GB18030.gz mapconv gb180302.awk
	# Generating $@...
	@mapconv $< '/^<.*[ 	]\/x..\/x..[ 	]/' GLIBC-2 gb180302.awk > $@

GB180304.map: GB180302.map gb180304.awk
	# Generating $@...
	@$(AWK) -f gb180304.awk < $< > $@

JISX0201.map: ${GLIBC_CHARMAPS}/JIS_X0201.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^<.*[ 	]\/x[0-9]/' GLIBC-1 compact.awk > $@
	@echo "# Generated by hand" >> $@
	@echo "0xA1-0xDF 0xFF61" >> $@

JISX0208.map: ${GLIBC_CHARMAPS}/EUC-JP.gz mapconv
	# Generating $@...
	@mapconv $< '/^<.*[ 	]\/x[a-f]/' GLIBC-2-7 \
	  | sed 's/0x2015/0x2014/' > $@

JISX0212.map: ${GLIBC_CHARMAPS}/EUC-JP.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^<.*[ 	]\/x8f/ s,/x8f,,' GLIBC-2-7 compact.awk > $@

JISX2131.map: ${GLIBC_CHARMAPS}/EUC-JISX0213.gz mapconv
	# Generating $@...
	@mapconv $< '/^<.*[ 	]\/x[a-f]/' GLIBC-2-7 \
	  | sed -e 's/0x2015/0x2014/' -e 's/0x2299/0x29BF/' > $@

JISX2132.map: ${GLIBC_CHARMAPS}/EUC-JISX0213.gz mapconv
	# Generating $@...
	@mapconv $< '/^<.*[ 	]\/x8f/ s,/x8f,,' GLIBC-2-7 > $@

JISX213A.map: mapfiles/JISX213A.map.gz
	# Generating $@
	@zcat $< > $@

CP932-2BYTE.map: mapfiles/CP932.TXT.gz mapconv cp932.awk
	# Generating $@...
	@mapconv $< '/^0x[89A-F][0-9A-F][0-9A-F]/' UNICODE2 cp932.awk > $@

cp51932.el: CP932-2BYTE.map cp51932.awk
	@$(AWK) -f cp51932.awk < CP932-2BYTE.map > $@

eucjp-ms.el: ${GLIBC_CHARMAPS}/EUC-JP-MS.gz eucjp-ms.awk
	@zcat $< | $(AWK) -f eucjp-ms.awk > $@

JISC6226.map : mapfiles/Uni2JIS.gz mapconv kuten.awk
	# Generating $@...
	@mapconv $< '/^[^#].*0-/' YASUOKA kuten.awk > $@

KSC5601.map: ${GLIBC_CHARMAPS}/EUC-KR.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^<.*[ 	]\/x[a-f]/' GLIBC-2-7 compact.awk > $@

BIG5.map: ${GLIBC_CHARMAPS}/BIG5.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^<.*[ 	]\/x[a-f]/' GLIBC-2 > $@

BIG5-1.map: BIG5.map mapconv big5.awk
	# Generating $@...
	@echo "# Generated from $<" > $@
	@sed -n -e '/0xa140/,/0xc8fe/p' < $< | gawk -f big5.awk >> $@

BIG5-2.map: BIG5.map mapconv big5.awk
	# Generating $@...
	@echo "# Generated from $<" > $@
	@sed -n -e '/0xc940/,$$ p' < $< | gawk -f big5.awk >> $@

BIG5-HKSCS.map: ${GLIBC_CHARMAPS}/BIG5-HKSCS.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^<.*[ 	]\/x[89a-f].\//' GLIBC-2 compact.awk > $@

JOHAB.map: ${GLIBC_CHARMAPS}/JOHAB.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^<.*[ 	]\/x[89a-f]/' GLIBC-2 compact.awk > $@

CNS-1.map: ${GLIBC_CHARMAPS}/EUC-TW.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^<.*[ 	]\/x[a-f]/' GLIBC-2-7 compact.awk > $@

# CNS-1.map: mapfiles/cns2ucsdkw.txt mapconv compact.awk
# 	# Generating $@...
# 	@mapconv $< '/^C1/' KANJI-DATABASE compact.awk > $@

CNS-2.map: mapfiles/cns2ucsdkw.txt.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^C2/' KANJI-DATABASE compact.awk > $@

CNS-3.map: mapfiles/cns2ucsdkw.txt.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^C3/' KANJI-DATABASE compact.awk > $@

CNS-4.map: mapfiles/cns2ucsdkw.txt.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^C4/' KANJI-DATABASE compact.awk > $@

CNS-5.map: mapfiles/cns2ucsdkw.txt.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^C5/' KANJI-DATABASE compact.awk > $@

CNS-6.map: mapfiles/cns2ucsdkw.txt.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^C6/' KANJI-DATABASE compact.awk > $@

CNS-7.map: mapfiles/cns2ucsdkw.txt.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^C7/' KANJI-DATABASE compact.awk > $@

CNS-F.map: ${GLIBC_CHARMAPS}/EUC-TW.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^<.*\/x8e\/xaf/ s,/x8e/xaf,,' GLIBC-2-7 compact.awk > $@

# General target to produce map files for mule charsets.
MULE-%.map: mapfiles/MULE-%.map.gz
	# Generating $@...
	@zcat $< > $@

# General target to produce map files for ISO-8859, GEORGIAN, and
# EBCDIC charsets.  We can not use the original file name because of
# file name limit on DOS.  "KA" is ISO 639 language code for Georgian.

8859-%.map: ${GLIBC_CHARMAPS}/ISO-8859-%.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^<.*[ 	]\/x/' GLIBC-1 compact.awk > $@

KA-%.map: ${GLIBC_CHARMAPS}/GEORGIAN-%.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^<.*[ 	]\/x/' GLIBC-1 compact.awk > $@

EBCDIC%.map: ${GLIBC_CHARMAPS}/EBCDIC-%.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^<.*[ 	]\/x/' GLIBC-1 compact.awk > $@

# General target to produce map files for single-byte charsets.

%.map: ${GLIBC_CHARMAPS}/%.gz mapconv compact.awk
	# Generating $@...
	@mapconv $< '/^<.*[ 	]\/x/' GLIBC-1 compact.awk > $@

install:
	@for f in ${CHARSETS}; do \
	  if test -r $$f; then \
	    if ! cmp -s $$f ../../etc/charsets/$$f; then \
	      echo updating $$f; \
	      cp $$f ../../etc/charsets; \
	    fi; \
	  fi; \
	done
	@for f in ${TRANS_TABLE}; do \
	  if test -r $$f; then \
	    if ! cmp -s $$f ../../lisp/international/$$f; then \
	      echo updating $$f; \
	      cp $$f ../../lisp/international; \
	    fi; \
	  fi; \
	done

# Clear files that are automatically generated.
clean:
	rm -f ${CHARSETS} ${TRANS_TABLE}

# arch-tag: 90b3bf30-1fef-45bf-b30c-665c30c22310

=== etc/refcards/Makefile ===
### Makefile for Emacs refcards

## Copyright (C) 1993, 1994, 2001, 2002, 2003, 2004, 2005, 2006, 2007,
##   2008, 2009, 2010, 2011, 2012  Free Software Foundation, Inc.

## This file is part of GNU Emacs.
#
## GNU Emacs is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.

## GNU Emacs is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with GNU Emacs.  If not, see <http://www.gnu.org/licenses/>.


## Top-level targets.

## PDF files that are included with Emacs.
all: refcards_pdf dired-refcards_pdf misc-refcards_pdf

REFCARDS_PDF = refcard.pdf cs-refcard.pdf de-refcard.pdf fr-refcard.pdf \
            pl-refcard.pdf pt-br-refcard.pdf ru-refcard.pdf sk-refcard.pdf
refcards_pdf: ${REFCARDS_PDF}
refcards_ps: ${REFCARDS_PDF:.pdf=.ps}

DIRED-REFCARDS_PDF = dired-ref.pdf cs-dired-ref.pdf fr-dired-ref.pdf \
		sk-dired-ref.pdf
dired-refcards_pdf: ${DIRED-REFCARDS_PDF}
dired-refcards_ps: ${DIRED-REFCARDS_PDF:.pdf=.ps}

MISC-REFCARDS_PDF = calccard.pdf gnus-booklet.pdf gnus-refcard.pdf orgcard.pdf
misc-refcards_pdf: ${MISC-REFCARDS_PDF}
misc-refcards_ps: ${MISC-REFCARDS_PDF:.pdf=.ps}


## The following files are not included with Emacs.
SURVIVAL-CARDS_PDF = survival.pdf cs-survival.pdf sk-survival.pdf
survival-cards_pdf: ${SURVIVAL-CARDS_PDF}
survival-cards_ps: ${SURVIVAL-CARDS_PDF:.pdf=.ps}

VIPER-CARDS_PDF = vipcard.pdf viperCard.pdf
viper-cards_pdf: ${VIPER-CARDS_PDF}
viper-cards_ps: ${VIPER-CARDS_PDF:.pdf=.ps}


## PDF files.

## The page layouts (a4/letter) are written directly in the .tex files.

cs-refcard.pdf cs-dired-ref.pdf cs-survival.pdf sk-refcard.pdf \
sk-dired-ref.pdf sk-survival.pdf: %.pdf:	%.tex
	if pdfcsplain --version > /dev/null 2> /dev/null; then \
	  pdfcsplain $<; \
	else \
	  csplain "\pdfoutput=1\input $<"; \
	fi

## Some versions of pdfmex seem to create dvi by default, hence output-format.
pl-refcard.pdf: %.pdf: %.tex
	if ! kpsewhich -format=fmt mex > /dev/null && \
	  ! pdfmex --version > /dev/null 2> /dev/null; then \
	  echo "No mex format found."; false; \
	fi
	pdftex -output-format=pdf $<

ru-refcard.pdf: %.pdf: %.tex
	pdflatex $<

#gnus-logo.pdf: %.pdf: %.eps
#	ps2pdf $<

gnus-refcard.pdf: %.pdf: %.tex gnus-logo.pdf 
	pdflatex $<

gnus-booklet.pdf: gnus-refcard.tex gnus-logo.pdf
	pdflatex -jobname=gnus-booklet '\def\booklettrue{}\def\letterpapertrue{}\input{gnus-refcard}'

## Everything not explicitly listed above.
%.pdf: %.tex
	pdftex $<


## dvi files.

cs-refcard.dvi cs-dired-ref.dvi cs-survival.dvi sk-refcard.dvi \
sk-dired-ref.dvi sk-survival.dvi: %.dvi:	%.tex
	csplain $<

pl-refcard.dvi: %.dvi: %.tex
	if ! kpsewhich -format=fmt mex > /dev/null; then \
	  echo "No mex format found."; false; \
	fi
	tex $<

ru-refcard.dvi gnus-refcard.dvi: %.dvi: %.tex
	latex $<

gnus-booklet.dvi: gnus-refcard.tex
	latex '\def\booklettrue{}\def\letterpapertrue{}\input{gnus-refcard}'
	mv gnus-refcard.dvi $@

## Everything not explicitly listed above.
%.dvi: %.tex
	tex $<


## PostScript files.

## Note that some of the tex files (refcard, de-refcard, fr-refcard,
## pt-br-refcard) have settings for letter or a4 paper. Following are
## the default paper sizes (letter for English, A4 for translations).
## FIXME orgcard.ps does not fit on letter (see orgcard.tex).

## A4, landscape.
de-refcard.ps fr-refcard.ps pt-br-refcard.ps orgcard.ps: %.ps: %.dvi
	dvips -t a4 -t landscape $< -o $@

## A4, portrait.
cs-dired-ref.ps cs-refcard.ps cs-survival.ps fr-dired-ref.ps \
pl-refcard.ps ru-refcard.ps \
sk-dired-ref.ps sk-refcard.ps sk-survival.ps: %.ps: %.dvi
	dvips -t a4 $< -o $@

## letter, landscape.
calccard.ps refcard.ps: %.ps: %.dvi
	dvips -t letter -t landscape $< -o $@

## letter, portrait.
dired-ref.ps gnus-booklet.ps gnus-refcard.ps survival.ps vipcard.ps \
viperCard.ps: %.ps: %.dvi
	dvips -t letter $< -o $@


.PHONY: clean

clean:
	-rm -f *.dvi *.log *.aux

### Makefile ends here

## emacs23 23.2+1

=== debian/changelog ===
emacs23 (23.2+1-7ubuntu2) natty; urgency=low

  * debian/patches/no_cpp_multiarch_dir_mangling.diff: make sure cpp doesn't
    mangle our multiarch include path due to a built-in macro matching the
    architecture name.  LP: #749270.

 -- Steve Langasek <vorlon@debian.org>  Mon, 04 Apr 2011 08:51:24 +0000

emacs23 (23.2+1-7ubuntu1) natty; urgency=low

  [ Hajime Mizuno ]
  * Merge from debian unstable(LP: #705383).  Remaining changes:
  * debian/control.in:
    - Change Maintainer to Ubuntu Core Developers, per Ubuntu policy.
    - Conflict and Replace emacs23-common-non-dfsg, since we provide
      all of its features.
    - Do not suggest emacs23-common-non-dfsg.
    - Replace use of Source-Version with source:Version.
    - Require autotools-dev (>= 20100122.1) in Build-Depends, since
      the version in Karmic will fail due to a missing Perl module.
  * debian/control: Regenerate.
  * debian/copyright.in:
    - Remove text about removed files.
  * debian/copyright: Regenerate.
  * debian/emacsVER-common.postinst:
    - Don't install info files to info/dir.  This happens
      automatically now.
  * debian/emacsVER-common.prerm:
    - Don't remove info files from info/dir.  This happens
      automatically now.
  * debian/emacsVER-common.prerm:
    - Don't remove info files from info/dir.  This happens
      automatically now.
  * debian/patches:
    - handle-dfsg-split.diff: Remove.
    - ubuntu-restore-nondfsg-files.diff: New patch that reintroduces
      the non-DFSG files, with the exception of .elc files and info
      files, which use special characters and thus can't be easily
      represented in patch form.  These will be regenerated at build
      time.
  * debian/rules:
    - Do not install replacements for non-DFSG files.
    - Install all info files, not just efaq.
    - Avoid uselessly building info files a 2nd time.
  * fix-ftbfs-xft-fontconfig.diff to avoid FTBFS.
  * debian/patches/fix-menus.diff: Fix http://debbugs.gnu.org/6499
    (Emacs gets stuck waiting for menu input).  (LP: #569914)

 -- Hajime Mizuno <hajime.mizuno@gmail.com>  Sun, 12 Dec 2010 11:24:28 +0000

emacs23 (23.2+1-7) unstable; urgency=low

  * Don't initialize the terminal twice.  Previously a console-mode
    Emacs would send the escape sequence to switch to the alternate
    screen twice. At a minimum, this caused problems with screen.
    Thanks to Courtney Bane <debian-bugs-5265@cbane.org> for the
    report and the patch. (closes: #599463)

  * Fix the value for RIPEMD-160 in epg-digest-algorithm-alist
    according to RFC 4880.  Thanks to Daniel Kahn Gillmor
    <dkg@fifthhorseman.net> for the report and the fix.
    (closes: #594510)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 11 Dec 2010 11:00:07 -0600

emacs23 (23.2+1-6) unstable; urgency=low

  * Build-depend on "bsd-mailx | mailx" rather than just "mailx" since
    the latter is a virtual package.  Thanks to Cyril Brulebois
    <kibi@debian.org> for the report, and thanks to Mehdi Dogguy
    <mehdi@debian.org> for the 23.2+1-5.1 NMU. (closes: #600826)

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 26 Nov 2010 11:34:32 -0600

emacs23 (23.2+1-5) unstable; urgency=low

  * Apply upstream patches to prevent the string and unibyte-string
    functions from overflowing the stack
    (prevent-string-stack-overflow.diff,
    prevent-let-eval-apply-stack-overflow.diff, and
    use-safe-alloca-lisp-in-let-eval-apply-apply_lambda.diff).  Thanks
    to Carl Worth <cworth@debian.org> and Sven Joachim
    <svenjoac@gmx.de> for finding the patches (closes: #586459).

  * Apply upstream patch to prevent mail destined for
    mail-archive-file-name from being lost
    (fix-gnus-output-to-mail-with-live-rmail-buffers.diff).  Thanks to
    Jeroen Nijhof <jeroen@nijhof.uklinux.net> for the report and Sven
    Joachim <svenjoac@gmx.de> for tracking down the patch.
    (closes: #597255)

  * Remove debian-adjust-mail-from-addresses-patch.diff to stop
    adjusting the message-sendmail-f-is-evil default.  Match the
    behavior of the Debian gnus package, Emacs upstream, and
    emacs-snapshot.  Thanks to Artem Chuprina <ran@wizzle.ran.pp.ru>
    for the report. (closes: #397757)

  * Apply upstream patch to fix the computation of the width of
    dual-width fonts (fix-fc-dual-font-width-calculation.diff).
    Thanks to mizuno hajime <hajime.mizuno@gmail.com> for the report
    and Sven Joachim <svenjoac@gmx.de> for tracking down the
    patch. (closes: #588808)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 18 Oct 2010 00:17:56 -0500

emacs23 (23.2+1-4ubuntu2) natty; urgency=low

  * debian/patches/fix-menus.diff: Fix http://debbugs.gnu.org/6499
    (Emacs gets stuck waiting for menu input).  (LP: #569914)

 -- Anders Kaseorg <andersk@mit.edu>  Thu, 04 Nov 2010 15:56:10 -0400

emacs23 (23.2+1-4ubuntu1) natty; urgency=low

  [ Michael W. Olson (GNU address) ]
  * Resync with Debian.  Remaining changes:
  * debian/control.in:
    - Change Maintainer to Ubuntu Core Developers, per Ubuntu policy.
    - Conflict and Replace emacs23-common-non-dfsg, since we provide
      all of its features.
    - Do not suggest emacs23-common-non-dfsg.
    - Replace use of Source-Version with source:Version.
    - Require autotools-dev (>= 20100122.1) in Build-Depends, since
      the version in Karmic will fail due to a missing Perl module.
  * debian/control: Regenerate.
  * debian/copyright.in:
    - Remove text about removed files.
  * debian/copyright: Regenerate.
  * debian/emacsVER-common.postinst:
    - Don't install info files to info/dir.  This happens
      automatically now.
  * debian/emacsVER-common.prerm:
    - Don't remove info files from info/dir.  This happens
      automatically now.
  * debian/patches:
    - handle-dfsg-split.diff: Remove.
    - ubuntu-restore-nondfsg-files.diff: New patch that reintroduces
      the non-DFSG files, with the exception of .elc files and info
      files, which use special characters and thus can't be easily


=== debian/control ===
Source: emacs23
Section: editors
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
Build-Depends: bsd-mailx | mailx, libncurses5-dev, texinfo, liblockfile-dev, librsvg2-dev,
 libgif-dev | libungif4-dev, libtiff4-dev | libtiff-dev, xaw3dg-dev,
 libpng12-dev, libjpeg62-dev, libm17n-dev, libotf-dev,
 libgpm-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libdbus-1-dev,
 autoconf, automake, autotools-dev (>= 20100122.1), dpkg-dev (>> 1.10.0), quilt (>= 0.42),
 debhelper (>= 7.0.50~), libxaw7-dev, sharutils, imagemagick, libgtk2.0-dev,
 libgconf2-dev, libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
Homepage: http://www.gnu.org/software/emacs/
Standards-Version: 3.7.2

Package: emacs
Architecture: all
Depends: emacs23 | emacs23-lucid | emacs23-nox, ${misc:Depends}
Provides: emacsen, editor, mail-reader, news-reader
Description: The GNU Emacs editor (metapackage)
 GNU Emacs is the extensible self-documenting text editor.
 This is a metapackage which will always depend on the latest Emacs
 release.

Package: emacs23-lucid
Architecture: any
Depends: emacs23-bin-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: emacs23, emacsen, editor, info-browser, mail-reader, news-reader
Conflicts: emacs23, emacs23-nox, emacs23-gtk
Replaces: emacs23, emacs23-nox, emacs23-gtk
Description: The GNU Emacs editor
 GNU Emacs is the extensible self-documenting text editor.
 This package contains a version of Emacs with a Lucid user interface.

Package: emacs23-nox
Architecture: any
Depends: emacs23-bin-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: emacs23, editor, emacsen, info-browser, mail-reader, news-reader
Conflicts: emacs23, emacs23-lucid, emacs23-gtk
Replaces: emacs23, emacs23-lucid, emacs23-gtk
Description: The GNU Emacs editor (without X support)
 GNU Emacs is the extensible self-documenting text editor.
 This package contains a version of Emacs compiled without support for X.

Package: emacs23
Architecture: any
Depends: emacs23-bin-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: editor, emacsen, info-browser, mail-reader, news-reader, emacs23-gtk
Conflicts: emacs23-lucid, emacs23-nox, emacs23-gtk
Replaces: emacs23-lucid, emacs23-nox, emacs23-gtk
Description: The GNU Emacs editor (with GTK+ user interface)
 GNU Emacs is the extensible self-documenting text editor.
 This package contains a version of Emacs with a GTK+ user interface.

Package: emacs23-bin-common
Architecture: any
Depends: emacs23-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: The GNU Emacs editor's shared, architecture dependent files
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the architecture dependent infrastructure
 that's shared by emacs23, emacs23-lucid, and emacs23-nox.

Package: emacs23-common
Architecture: all
Depends: emacsen-common (>= 1.4.10), dpkg (>= 1.15.4) | install-info, ${shlibs:Depends}, ${misc:Depends}
Suggests: emacs23-el
Conflicts: emacs23-el (<< ${source:Version}), emacs23-common-non-dfsg
Replaces: emacs23-common-non-dfsg
Description: The GNU Emacs editor's shared, architecture independent infrastructure
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the architecture independent infrastructure
 that's shared by emacs23, emacs23-lucid, and emacs23-nox.

Package: emacs23-el
Architecture: all
Depends: emacs23-common (= ${source:Version}), ${misc:Depends}
Description: GNU Emacs LISP (.el) files
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the elisp sources for the convenience of users,
 saving space in the main package for small systems.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# This file is licensed under the terms of the Gnu Public License.
# With the one additional provision that Ian Jackson's name may not be
# removed from the file.

# Copyright 1994,1995 Ian Jackson
# Copyright 2004-2005 Jrme Marant <jerome@debian.org>
# Copyright 1998-2010 Rob Browning <rlb@defaultvalue.org>

# Originally copied from the GNU Hello Debian rules file (1.3).
# Modified for emacs by Mark Eichin <eichin@kitten.gen.ma.us>.
# Debhelper support added via one of Joey Hess' example files.
# See the debian/changelog for further historical information.

# TODO:
#
#   Figure out what happened to fns-*.elc
#   Should we set defaults for things like xsupport at the top here?
#   Deal with build_binary_pkg and continue integration.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SHELL := /bin/bash

quilt := QUILT_PATCHES=debian/patches quilt

pf := set -o pipefail

# This package uses debian/source/format 3.0 (quilt).

# For now we assume that emacs' versioning scheme is always
# MAJOR.MINORtinyrev where MAJOR and MINOR are integers and tinyrev is
# an optional lowercase letter (or letters).  We also assume that
# upstream uses a numbering scheme that sorts in a "Debian friendly"
# way.  So far that's always been true.  If it becomes false, some of
# the values below will have to be set manually.

# As you might expect, a "debian/rules clean" should always get you
# back to the state you were in before "debian/rules build".  In order
# to accomplish that, this rules file actually performs three
# independent builds to produce the emacsXY, emacsXY-nox, and
# emacsXY-lucid packages.  The source is actually copied into separate
# debian/build-* directories and built there.  Certain aspects of the
# upstream build process have led to this approach.

# For example, the original upstream source ships the .elc files, but
# we need to re-build them when we patch the corresponding .el files.
# The situation is further complicated by the fact that any of these
# .el files may have macros, and if those are changed, then any other
# .el files that use those macros must also be recompiled.  Over the
# years, we've tried various ways to handle this issue, originally by
# trying to keep track of which files need to be recompiled and only
# recompiling those, then later by just re-building all the .elc files
# with "make bootstrap".  In either case, if you don't want to have
# diff bloat, you have to do something to keep track of the original
# .elc files so you can restore them during make clean.

# All of this was a lot of work, and was using quite a bit of
# unnecessary storage both in the .orig.tar.gz.  To avoid that, and to
# simplify the process, we now just remove the .elc files from the
# upstream distribution whenever we create the debian .orig.tar.gz
# file for a given upstream release.  Since we were always clobbering
# the .elc files during the package build, that was no great loss.

# (You might imagine that a VPATH build would allow us to avoid having
#  to copy the entire source tree for each of the three builds, but it
#  turns out that without additional complexity, VPATH builds will
#  cause diff bloat.  That's because the emacs build process doesn't
#  completely respect the .elc files; some are modified in srcdir, not
#  builddir.)

# Copying the source to a separate build directory and building there
# is much simpler than previous approaches, it makes cleaning trivial,
# and it avoids any diff bloat.

# If the source tree ever ends up in an untenable "can't go forward,
# can't go back" state with respect to patching, you can always start
# over by just moving the current debian directory to a newly unpacked
# orig.tar.gz tree.  Note that if you were in the process of editing a
# patch, you will lose those edits, but you shouldn't lose anything
# else.  This process just reverts all of the upstream files and
# abandons the volatile "what's been done to the current tree" state
# that quilt maintains in ./.pc.  All of the actual patches are stored
# in debian/patches and should be unharmed.

######################################################################
# Important top-level targets:
#
# check-vars - displays how the version number has been parsed.
# buildpackage - build binary packages via dpkg-buildpackage w/suitable args
# prepare-release - prepare and check debs for upload.
#
######################################################################

# The name of the Debian source package
src_name := $(shell $(pf); dpkg-parsechangelog | egrep '^Source:')
src_name := $(shell $(pf); echo $(src_name) | perl -pe 's/Source:\s+//o')

# The version from the changelog (i.e. 20.5-1)
debian_ver := $(shell $(pf); dpkg-parsechangelog | egrep '^Version:')
debian_ver := $(shell $(pf); echo $(debian_ver) | perl -pe 's/Version:\s+//o')
# The Debian revision (i.e. the 1 from 20.5-1)
# Always everything after the last '-'
debian_rev := $(shell $(pf); echo $(debian_ver) | perl -pe 's/.*-//o')

# The official upstream version defined by emacs-version in lisp/version.el.
# The extraction method matches the code in the upstream configure.in.
nominal_ver := \
  $(shell $(pf); grep 'defconst[	 ]*emacs-version' lisp/version.el \
    | sed -e 's/^[^"]*"\([^"]*\)".*$$/\1/')

# This must be the version that's actually used at runtime for things
# like load-path.  It may not be the same as the upstream version
# (i.e. when you have upstream 20.5a, the functional version may still
# be 20.5), so sometimes we may have to do this by hand.
runtime_ver := $(shell $(pf); echo $(nominal_ver) | perl -pe 's/[a-z]+$$//o')

major_ver := $(shell $(pf); echo $(runtime_ver) | perl -pe 's/\..*$$//o')
minor_ver := $(shell $(pf); echo $(runtime_ver) | perl -pe 's/^[^.]*\.//o')

# version for the debian source, i.e. if the upstream is 21.3, this
# might be 21.3, or it might be 21.3+1 if we've had to have more than
# one re-release of the upstream source.  Rare, but it happens...
# Always everything before the last '-'
debsrc_ver := $(shell $(pf); echo $(debian_ver) | perl -pe 's/-[^-]+$$//o')

# upstream version - the actual upstream version, i.e. 21.4a, minus any +foo
upstream_ver := $(shell $(pf); echo $(debsrc_ver) | perl -pe 's/\+[^+]+$$//o')

deb_orig_tgz := $(src_name)_$(debsrc_ver).orig.tar.gz
# name of the orig_tgz unpack directory
deb_orig_tgz_dir := emacs-$(runtime_ver)

######################################################################
# Customizable variables

# The flavor (i.e. emacs21) currently matches the source package name.
flavor := $(src_name)

bin_priority := 26

# This might also be something like 2006-09-09 for snapshots.
menu_ver := $(major_ver)

info_subdir := emacs-$(major_ver)

######################################################################

# Should these be exported like this (as autotools-dev recommends for
# the two vars below) or not?
export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
export DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)

# As recommended by /usr/share/doc/autotools-dev/README.Debian.gz.
# Handle cross-compiling and don't make ./configure guess.
export DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

LDFLAGS   := -g
CFLAGS    := -DDEBIAN -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else # not noopt
  ifneq (,$(filter $(DEB_HOST_ARCH),m68k ia64))
    # Fix a problem with newer versions of gcc on m68k and ia64.
    # There -O2 causes a build failure (broken byte compiler) - see
    # bugs #207580 and #582439.
    CFLAGS += -O1
  else # neq (m68k or ia64)
    CFLAGS += -O2
  endif # neq (m68k or ia64)

## emacs23 23.3%2b1

=== debian/changelog ===
emacs23 (23.3+1-1ubuntu9) precise; urgency=low

  * debian/patches/unity-shrinkage.patch: Back port of upstream Emacs 24
    patch to prevent automatic uncontrollable shrinkage of the window to
    one row high when no menu bar is used under Unity/Gtk+/Ubuntu 12.04.
    (LP: #941790)

 -- Barry Warsaw <barry@ubuntu.com>  Sat, 24 Mar 2012 13:07:38 -0400

emacs23 (23.3+1-1ubuntu8) precise; urgency=low

  * debian/patches/emacsVER-lp725988.patch: Set the X EMACS_CLASS
    to "Emacs23" to please bamf and gnome shell (LP: #725988)
  * debian/emacsVER.desktop: also set StartupWMClass (same reason)

 -- Fabien Tassin <fta@sofaraway.org>  Wed, 15 Feb 2012 18:42:46 +0100

emacs23 (23.3+1-1ubuntu7) precise; urgency=low

  * debian/patches/emacs-xgselect.patch: Initialize xgselect in
    function xg_select when gfds_size == 0.  Fixes 100% CPU startup
    freeze with glib 2.31.  (LP: #902043)

 -- Anders Kaseorg <andersk@mit.edu>  Fri, 09 Dec 2011 02:17:48 -0500

emacs23 (23.3+1-1ubuntu6) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Dec 2011 17:29:34 -0700

emacs23 (23.3+1-1ubuntu5) precise; urgency=low

  * Transition to libjpeg8-dev, so our build-deps no longer conflict.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 01 Dec 2011 21:52:48 -0700

emacs23 (23.3+1-1ubuntu4) oneiric; urgency=low

  * Revert addition of ubuntu-fix-extract-filename-on-gcc-warn-or-err.diff
    that broke armel build. Reopens LP #814468.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 14 Aug 2011 12:13:49 -0400

emacs23 (23.3+1-1ubuntu3) oneiric; urgency=low

  * Apply patch from longo resolving gcc-include's failure to
    properly extract the filename and to jump to line position.
    (LP: #814468)

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 14 Aug 2011 10:33:32 -0400

emacs23 (23.3+1-1ubuntu2) oneiric; urgency=low

  * src/s/gnu-linux.h (START_FILES): Use CRT_DIR.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 13 Aug 2011 12:54:07 +0200

emacs23 (23.3+1-1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable; remaining changes:
    - debian/patches/no_cpp_multiarch_dir_mangling.diff: make sure cpp
      doesn't mangle our multiarch include path due to a built-in macro
      matching the architecture name.
    - debian/control.in:
      - Conflict and Replace emacs23-common-non-dfsg, since we provide
        all of its features.
      - Do not suggest emacs23-common-non-dfsg.
      - Replace use of Source-Version with source:Version.
    - debian/copyright.in:
      - Remove text about removed files.
    - debian/emacsVER-common.{postinst,prerm}: Don't install info files to
      info/dir.  This happens automatically now.
    - debian/patches:
      - -Remove-files-that-appear-to-be-incompatible-with-the.patch: Remove.
      - ubuntu-restore-nondfsg-files.diff: New patch that reintroduces
        the non-DFSG files, with the exception of .elc files and info
        files, which use special characters and thus can't be easily
        represented in patch form.  These will be regenerated at build
        time.
    - debian/rules:
      - Do not install replacements for non-DFSG files.
      - Install all info files, not just efaq.
      - Avoid uselessly building info files a 2nd time.
  * Dropped changes:
    - debian/patches/fix-ftbfs-xft-fontconfig.diff: merged in Debian.
    - debian/patches/fix-menus.diff: present upstream.
    - Require autotools-dev (>= 20100122.1) in Build-Depends: don't use
      versioned build-depends to work around buggy versions.
    - debian/patches/fix-decimal-point-in-font-size.diff: no documentation in
      the changelog for this change, from an upstream bug report but not
      upstreamed.
  * debian/patches/no_cpp_multiarch_dir_mangling.diff: only include i386
    here; if the toolchain triplet matches the multiarch path, this is
    already handled in configure.in.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 28 May 2011 05:57:27 +0000

emacs23 (23.3+1-1) unstable; urgency=low

  * Incorporate new upstream version 23.3.

  * Don't clear FONTCONFIG_LIBS and FONTCONFIG_CFLAGS in configure.
    Thanks to Peter Fritzsche <peter.fritzsche@gmx.de> for the report
    and Matthias Klose <doko@ubuntu.com> for the patch.
    (closes: #554324)

  * Adjust emacsVER-common.README to accommodate new patch headers.
    Add debian/patch-to-news to handle converting new git-dpm style
    patch headers to emacsVER-common.README.

  * Rely on autotools-dev for config.guess and config.sub.

  * Fix a tty-related preprocessor inclusion error affecting GNU/Hurd
    systems.  Thanks to Samuel Thibault <sthibault@debian.org> for the
    report and the patch. (closes: #610576)

  * Expect 0 from kill() for zombies on GNU/Hurd.  This should prevent
    Emacs from hanging on affected systems.  Thanks to Samuel Thibault
    <sthibault@debian.org> for the report and the patch.
    (closes: #611591)

  * Remove debian/dfsg-splitter since the split is now being handled
    directly in git.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 10 Apr 2011 10:33:31 -0500

## emacs23 23.3+1

=== debian/changelog ===
emacs23 (23.3+1-1ubuntu9.1) precise-security; urgency=low

  * SECURITY UPDATE: untrusted search path vulnerability
    - debian/patches/CVE-2012-0035.patch: add new option and use it in
      lisp/cedet/ede/auto.el, lisp/cedet/ede.el, lisp/cedet/ede/simple.el.
    - CVE-2012-0035
  * SECURITY UPDATE: arbitrary lisp code execution via crafted file
    - debian/patches/CVE-2012-3479.patch: ignore eval: forms that are not
      known to be safe if enable-local-variables is set to :safe in
      lisp/files.el.
    - CVE-2012-3479

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 21 Sep 2012 10:57:56 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: emacs23
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
 Build-Depends: bsd-mailx | mailx, libncurses5-dev, texinfo, liblockfile-dev, librsvg2-dev,
  libgif-dev | libungif4-dev, libtiff4-dev | libtiff-dev, xaw3dg-dev,
- libpng12-dev, libjpeg62-dev, libm17n-dev, libotf-dev,
+ libpng12-dev, libjpeg8-dev | libjpeg-dev, libm17n-dev, libotf-dev,
  libgpm-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libdbus-1-dev,
- autoconf, automake, autotools-dev (>= 20100122.1), dpkg-dev (>> 1.10.0), quilt (>= 0.42),
+ autoconf, automake, autotools-dev, dpkg-dev (>> 1.10.0), quilt (>= 0.42),
  debhelper (>= 7.0.50~), libxaw7-dev, sharutils, imagemagick, libgtk2.0-dev,
  libgconf2-dev, libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
 Homepage: http://www.gnu.org/software/emacs/

=== debian/rules ===
--- 
+++ 
@@ -153,6 +153,7 @@
 # the two vars below) or not?
 export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 export DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
+export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 # As recommended by /usr/share/doc/autotools-dev/README.Debian.gz.
 # Handle cross-compiling and don't make ./configure guess.
@@ -177,6 +178,3 @@
     # There -O2 causes a build failure (broken byte compiler) - see
     # bugs #207580 and #582439.
     CFLAGS += -O1
-  else # neq (m68k or ia64)
-    CFLAGS += -O2
-  endif # neq (m68k or ia64)
